> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fintoc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Payout Resources by Type

> Retrieve a list of resources within a specific payout, filtered by the resource type. This endpoint is useful when you want to retrieve either payment_intents, refunds or charges associated with a particular payout.

**`v1`** · Base URL `https://api.fintoc.com/v1`


## OpenAPI

````yaml v2023-11-15/reference/fintoc-api.json GET /payouts/{id}/resources?resource_type={resource}
openapi: 3.1.0
info:
  title: fintoc-api
  version: '2023-11-15'
servers:
  - url: https://api.fintoc.com/v1
security:
  - {}
paths:
  /payouts/{id}/resources?resource_type={resource}:
    get:
      summary: List Payout Resources by Type
      description: >-
        Retrieve a list of resources within a specific payout, filtered by the
        resource type. This endpoint is useful when you want to retrieve either
        payment_intents, refunds or charges associated with a particular payout.
      operationId: list-resources-of-a-payout
      parameters:
        - name: id
          in: path
          description: The id of the Payout you want to retrieve.
          schema:
            type: string
          required: true
        - name: resource
          in: path
          description: The type of resource you want to list from a Payout
          schema:
            type: string
            enum:
              - payment_intent
              - payment
              - charge
              - refund
              - refund_adjustment
          required: true
        - name: Authorization
          in: header
          description: Fintoc Secret Key
          required: true
          schema:
            type: string
            default: sk_test_9c8d8CeyBTx1VcJzuDgpm4H
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false

````